%global srcname ConfigArgParse

%global py3_prefix python%{python3_pkgversion}

Name:           python-configargparse
Version:        0.11.0
Release:        2%{?dist}
Summary:        A Python module with support for argparse, config files, and env variables

License:        MIT
URL:            https://github.com/bw2/ConfigArgParse
Source0:        https://github.com/bw2/ConfigArgParse/archive/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
Buildarch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-pytest
BuildRequires:  python-setuptools

BuildRequires:  %{py3_prefix}-devel
BuildRequires:  %{py3_prefix}-pytest
BuildRequires:  %{py3_prefix}-setuptools


%description
Applications with more than a handful of user-settable options are best
configured through a combination of command line args, config files, hard
coded defaults, and in some cases, environment variables.

Python’s command line parsing modules such as argparse have very limited
support for config files and environment variables, so this module extends
argparse to add these features.


%package -n python2-configargparse
Summary:        %{summary}
%{?python_provide:%python_provide python2-configargparse}

%description -n python2-configargparse
Applications with more than a handful of user-settable options are best
configured through a combination of command line args, config files, hard
coded defaults, and in some cases, environment variables.

Python’s command line parsing modules such as argparse have very limited
support for config files and environment variables, so this module extends
argparse to add these features.


%package -n %{py3_prefix}-configargparse
Summary:        %{summary}
%{?python_provide:%python_provide python3-configargparse}

%description -n %{py3_prefix}-configargparse
Applications with more than a handful of user-settable options are best
configured through a combination of command line args, config files, hard
coded defaults, and in some cases, environment variables.

Python’s command line parsing modules such as argparse have very limited
support for config files and environment variables, so this module extends
argparse to add these features.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
py.test
py.test-3


%files -n python2-configargparse
%doc README.rst
%license LICENSE
%{python2_sitelib}/configargparse.py*
%{python2_sitelib}/%{srcname}*.egg-info


%files -n %{py3_prefix}-configargparse
%doc README.rst
%license LICENSE
%{python3_sitelib}/configargparse.py*
%{python3_sitelib}/%{srcname}*.egg-info
%{python3_sitelib}/__pycache__/configargparse*


%changelog
* Wed May 06 2020 Felix Schwarz <fschwarz@fedoraproject.org> - 0.11.0-2
- add Python 3 subpackage for EPEL 7 (rhbz #1813677)
- run tests in %%check

* Tue Nov 15 2016 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.0-1
- Update to new upstream version 0.11.0 (rhbz#1382975)

* Thu Jan 21 2016 Nick Bebout <nb@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0 for Let's Encrypt dep

* Thu Dec 03 2015 Robert Buchholz <rbu@goodpoint.de> - 0.9.3-5
- epel7: Only build python2 package

* Thu Nov 12 2015 Kalev Lember <klember@redhat.com> - 0.9.3-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Nov 05 2015 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.3-3
- Remove old parts

* Fri Oct 30 2015 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.3-2
- Update macros

* Thu Feb 05 2015 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.3-1
- Initial package
